# DXGfxLib.EnhancedFrame Class Reference

We want to update world position of each frame in the Update phase of our scene graph. The base Frame doesn't keep track of that worldPosition so we need to derive from Frame and add members to our class in order to be able to store that matrix. More...

Collaboration diagram for DXGfxLib.EnhancedFrame:

[legend]

List of all members.

## Public Member Functions
| EnhancedFrame ()
| At creation time we affect the identity matrix to frameWorldMat. That value is overwritten on the first update of the scene graph.
| EnhancedFrame ()
| At creation time we affect the identity matrix to frameWorldMat. That value is overwritten on the first update of the scene graph.
## Public Attributes
Matrix | frameWorldMat
| World matrix of each EnhancedFrame. That value is updated during the update of the scenegraph based on the animationController advancement and the worldmat of the ArticulatedModel.
AABBox | boundingBox
| It is interesting to have a bounding box for our frame!

## Detailed Description

We want to update world position of each frame in the Update phase of our scene graph. The base Frame doesn't keep track of that worldPosition so we need to derive from Frame and add members to our class in order to be able to store that matrix.

Definition at line 32 of file ArticulatedModel.cs.

## Constructor & Destructor Documentation

DXGfxLib.EnhancedFrame.EnhancedFrame | ( |  | ) |

At creation time we affect the identity matrix to frameWorldMat. That value is overwritten on the first update of the scene graph.

Definition at line 50 of file ArticulatedModel.cs.

DXGfxLib.EnhancedFrame.EnhancedFrame | ( |  | ) |

At creation time we affect the identity matrix to frameWorldMat. That value is overwritten on the first update of the scene graph.

Definition at line 50 of file ArticulatedModel.cs.

## Member Data Documentation

AABBox DXGfxLib.EnhancedFrame::boundingBox

It is interesting to have a bounding box for our frame!

Definition at line 44 of file ArticulatedModel.cs.

Matrix DXGfxLib.EnhancedFrame::frameWorldMat

World matrix of each EnhancedFrame. That value is updated during the update of the scenegraph based on the animationController advancement and the worldmat of the ArticulatedModel.

Definition at line 38 of file ArticulatedModel.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/ArticulatedModel.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/ArticulatedModel.cs